Bug 1001180 - Disable or remove devices pci-serial-2x, pci-serial-4x
Disable or remove devices pci-serial-2x, pci-serial-4x
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On: 1001216
Blocks: 720747
  Show dependency treegraph
 
Reported: 2013-08-26 11:52 EDT by Markus Armbruster
Modified: 2014-06-17 23:35 EDT (History)
9 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-15.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:51:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2013-08-26 11:52:30 EDT
The PCI serial devices can be hot-plugged, unlike the ISA ones.  We don't have libvirt plumbing, yet (bug 998813).  Windows needs .INF files to make them work.  Since we still don't have one for the multi-port devices, disable them.

How reproducible:
Always

Steps to Reproduce:
1. qemu-kvm -nodefaults -display none -monitor stdio -S -chardev null,id=s1 -chardev null,id=s2 -device pci-serial-2x,chardev1=s1,chardev2=s2
2. qemu-kvm -nodefaults -display none -monitor stdio -S -chardev null,id=s1 -chardev null,id=s2 -chardev null,id=s3 -chardev null,id=s4 -device pci-serial-4x,chardev1=s1,chardev2=s2,chardev3=s3,chardev4=s4

Actual results:
-device pci-serial-2x and -device pci-serial-4x are both accepted

Expected results:
They're both rejected, just like -device nonexistant
Comment 2 Miroslav Rezanina 2013-11-07 03:25:00 EST
Fix included in qemu-kvm-1.5.3-15.el7
Comment 4 Shaolong Hu 2013-11-25 21:50:41 EST
Verified on qemu-kvm-1.5.3-19.el7.x86_64:

# /usr/libexec/qemu-kvm -nodefaults -display none -monitor stdio -S -chardev null,id=s1 -chardev null,id=s2 -device pci-serial-2x,chardev1=s1,chardev2=s2
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) qemu-kvm: -device pci-serial-2x,chardev1=s1,chardev2=s2: Parameter 'driver' expects device type

# /usr/libexec/qemu-kvm -nodefaults -display none -monitor stdio -S -chardev null,id=s1 -chardev null,id=s2 -chardev null,id=s3 -chardev null,id=s4 -device pci-serial-4x,chardev1=s1,chardev2=s2,chardev3=s3,chardev4=s4
QEMU 1.5.3 monitor - type 'help' for more information
(qemu) qemu-kvm: -device pci-serial-4x,chardev1=s1,chardev2=s2,chardev3=s3,chardev4=s4: Parameter 'driver' expects device type

# /usr/libexec/qemu-kvm -device help 2>&1 | grep pci
name "pci-bridge", bus PCI, desc "Standard PCI Bridge"
name "virtio-blk-pci", bus PCI, alias "virtio-blk"
name "virtio-scsi-pci", bus PCI
name "virtio-net-pci", bus PCI, alias "virtio-net"
name "pci-serial", bus PCI
name "virtio-serial-pci", bus PCI, alias "virtio-serial"
name "kvm-pci-assign", bus PCI, alias "pci-assign", desc "KVM-based PCI passthrough"
name "pci-testdev", bus PCI, desc "PCI Test Device"
name "vfio-pci", bus PCI, desc "VFIO-based PCI device assignment"
name "virtio-balloon-pci", bus PCI, alias "virtio-balloon"
name "virtio-rng-pci", bus PCI
Comment 5 Ludek Smid 2014-06-13 06:51:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.